BDU:2020-03937: Уязвимость функции wp_insert_user и test_wp_update_user_should_delete_userslugs_cache (user.php) системы управления содержимым сайта WordPress, позволяющая нарушителю получить доступ к конфиденциальным данным и нарушить их целостность

Описание уязвимости Уязвимость функции wp_insert_user и test_wp_update_user_should_delete_userslugs_cache (user.php) системы управления содержимым сайта WordPress связана с недостатком механизма восстановления пароля. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, получить доступ к конфиденциальным данным и нарушить их целостность
Вендор Сообщество свободного программного обеспечения, WordPress Foundation
Наименование ПО Debian GNU/Linux, WordPress
Версия ПО
  • 8.0 (Debian GNU/Linux)
  • 9.0 (Debian GNU/Linux)
  • 10.0 (Debian GNU/Linux)
  • до 5.4.1 (WordPress)
Тип ПО Операционная система, Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
  • Сообщество свободного программного обеспечения Debian GNU/Linux 8.0
  • Сообщество свободного программного обеспечения Debian GNU/Linux 9.0
  • Сообщество свободного программного обеспечения Debian GNU/Linux 10.0
Тип ошибки Слабый механизм восстановления забытых паролей
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 30.04.2020
Базовый вектор уязвимости
Уровень опасности уязвимости Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 8,5)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,1)
Возможные меры по устранению уязвимости
Использование рекомендаций:
Для wordpress:
Обновление программного обеспечения до 5.4.1 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета wordpress) до 4.7.5+dfsg-2+deb9u6 или более поздней версии
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Несанкционированный сбор информации
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются
Последние изменения